Bug 811600 - [abrt] kernel: [173112.196981] BUG: soft lockup - CPU#3 stuck for 23s! [kworker/u:5:61]
[abrt] kernel: [173112.196981] BUG: soft lockup - CPU#3 stuck for 23s! [kwork...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:f973773a71022ec63ec9f020c2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 10:04 EDT by Ramon Irizarry
Modified: 2012-11-14 09:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:57:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramon Irizarry 2012-04-11 10:04:07 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-3.fc16.x86_64 root=/dev/mapper/sysvg-root ro rd.md=0 rd.dm=0 rd.lvm.lv=sysvg/root KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=sysvg/swap LANG=en_US.UTF-8
comment:        It happens like 3 days after boot up.
event_log:      2012-04-11-09:03:32> Smolt profile successfully saved
kernel:         3.3.1-3.fc16.x86_64
reason:         [173112.196981] BUG: soft lockup - CPU#3 stuck for 23s! [kworker/u:5:61]
time:           Wed 11 Apr 2012 08:46:45 AM CDT

backtrace:
:[173112.196981] BUG: soft lockup - CPU#3 stuck for 23s! [kworker/u:5:61]
:[173112.196984] Modules linked in: tcp_lp bluetooth rfkill vmnet(O) vmblock(O) vsock(O) vmci(O) vmmon(O) fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q ib_iser garp stp llc fcoe lockd rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libfcoe libfc scsi_transport_fc scsi_tgt libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_netbios_ns nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter ip6_tables xt_state nf_conntrack sunrpc snd_hda_codec_analog snd_hda_intel snd_hda_codec ppdev snd_hwdep snd_seq snd_seq_device dell_wmi sparse_keymap snd_pcm snd_timer iTCO_wdt i2c_i801 parport_pc iTCO_vendor_support snd microcode parport dcdbas serio_raw soundcore snd_page_alloc e1000e uinput wmi ata_generic pata_acpi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:[173112.197001] CPU 3 
:[173112.197001] Modules linked in: tcp_lp bluetooth rfkill vmnet(O) vmblock(O) vsock(O) vmci(O) vmmon(O) fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q ib_iser garp stp llc fcoe lockd rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libfcoe libfc scsi_transport_fc scsi_tgt libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_netbios_ns nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_broadcast nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter ip6_tables xt_state nf_conntrack sunrpc snd_hda_codec_analog snd_hda_intel snd_hda_codec ppdev snd_hwdep snd_seq snd_seq_device dell_wmi sparse_keymap snd_pcm snd_timer iTCO_wdt i2c_i801 parport_pc iTCO_vendor_support snd microcode parport dcdbas serio_raw soundcore snd_page_alloc e1000e uinput wmi ata_generic pata_acpi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:[173112.197001] 
:[173112.197001] Pid: 61, comm: kworker/u:5 Tainted: G           O 3.3.1-3.fc16.x86_64 #1 Dell Inc. OptiPlex 780                 /0C27VV
:[173112.197001] RIP: 0010:[<ffffffff815f4110>]  [<ffffffff815f4110>] _raw_spin_lock+0x20/0x30
:[173112.197001] RSP: 0018:ffff880227c31ce0  EFLAGS: 00000297
:[173112.197001] RAX: 000000000000f697 RBX: ffff880227c31ca0 RCX: ffff880224c2c448
:[173112.197001] RDX: 0000000000009166 RSI: 0000000000000001 RDI: ffff880224c2c678
:[173112.197001] RBP: ffff880227c31ce0 R08: ffff880224c2c418 R09: 0000000180200018
:[173112.197001] R10: 0000000021bee801 R11: 0000000000000000 R12: ffffffffa0075b6e
:[173112.197001] R13: ffff88022c0ba540 R14: 0000000000000000 R15: ffff880021bee200
:[173112.197001] FS:  0000000000000000(0000) GS:ffff880237cc0000(0000) knlGS:0000000000000000
:[173112.197001] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:[173112.197001] CR2: 00007f0fb9d18546 CR3: 0000000001c05000 CR4: 00000000000406e0
:[173112.197001] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[173112.197001] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[173112.197001] Process kworker/u:5 (pid: 61, threadinfo ffff880227c30000, task ffff88022c77dcc0)
:[173112.197001] Stack:
:[173112.197001]  ffff880227c31d90 ffffffffa0075899 000013fbbdf14336 ffff880200000000
:[173112.197001]  0000000000000000 0000000000000213 0000000000002000 0000000000000002
:[173112.197001]  0000000000000001 ffff88022c00e858 ffff880224c2c418 ffff880224c2c410
:[173112.197001] Call Trace:
:[173112.197001]  [<ffffffffa0075899>] ttm_bo_swapout+0x29/0x2c0 [ttm]
:[173112.197001]  [<ffffffff81071a16>] ? move_linked_works+0x66/0x90
:[173112.197001]  [<ffffffffa00713f1>] ttm_shrink+0xe1/0x130 [ttm]
:[173112.197001]  [<ffffffffa0071440>] ? ttm_shrink+0x130/0x130 [ttm]
:[173112.197001]  [<ffffffffa0071440>] ? ttm_shrink+0x130/0x130 [ttm]
:[173112.197001]  [<ffffffffa0071459>] ttm_shrink_work+0x19/0x20 [ttm]
:[173112.197001]  [<ffffffff810744fe>] process_one_work+0x11e/0x470
:[173112.197001]  [<ffffffff8107530f>] worker_thread+0x15f/0x360

smolt_data:
:
:
:General
:=================================
:UUID: 52fa2b16-ff5d-4b67-93bf-ed864313d0df
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5652.33
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2825
:System Memory: 7858
:System Swap: 2047
:Vendor: Dell Inc.
:System: OptiPlex 780 
:Form factor: Mini Tower
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11792:4136:1056) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11793:4136:1056) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(32902:14944:4136:1056) pci, i801_smbus, SERIAL, 82801JD/DO (ICH10 Family) SMBus Controller
:(32902:14848:4136:1056) pci, ata_piix, STORAGE, 82801JD/DO (ICH10 Family) 4-port SATA IDE Controller
:(32902:14868:4136:1056) pci, None, PCI/ISA, 82801JDO (ICH10DO) LPC Interface Controller
:(32902:14854:4136:1056) pci, ata_piix, STORAGE, 82801JD/DO (ICH10 Family) 2-port SATA IDE Controller
:(32902:4318:4136:630) pci, e1000e, ETHERNET, 82567LM-3 Gigabit Network Connection
:(32902:9294:4136:1056) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14949:4136:1056) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #2
:(32902:14948:4136:1056) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #1
:(32902:14953:4136:1056) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #6
:(32902:14950:4136:1056) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #3
:(32902:14954:4136:1056) pci, ehci_hcd, USB, 82801JD/DO (ICH10 Family) USB2 EHCI Controller #1
:(32902:14956:4136:1056) pci, ehci_hcd, USB, 82801JD/DO (ICH10 Family) USB2 EHCI Controller #2
:(32902:14960:4136:1056) pci, pcieport, PCI/PCI, 82801JD/DO (ICH10 Family) PCI Express Port 1
:(32902:14962:4136:1056) pci, pcieport, PCI/PCI, 82801JD/DO (ICH10 Family) PCI Express Port 2
:(32902:11796:4136:1056) pci, None, SIMPLE, 4 Series Chipset HECI Controller
:(32902:11799:4136:1056) pci, serial, 16550_SERIAL, 4 Series Chipset Serial KT Controller
:(32902:14958:4136:1056) pci, snd_hda_intel, MULTIMEDIA, 82801JD/DO (ICH10 Family) HD Audio Controller
:(32902:14951:4136:1056) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #4
:(32902:14952:4136:1056) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #5
:(4098:38341:4136:834) pci, radeon, VIDEO, RV620 LE [Radeon HD 3450]
:(32902:11798:4136:1056) pci, ata_generic, STORAGE, 4 Series Chipset PT IDER Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/sysvg-root / ext4 4096 4096 5129707 3719975 3668626 1286144 1115943 1115943
:/dev/sda2 /boot ext3 1024 1024 196889 115720 105480 51200 50921 50921
:/dev/mapper/shares-dropbox WITHHELD ext4 4096 4096 2613235 872206 741134 655360 655251 655251
:/dev/mapper/sysvg-var /var ext4 4096 4096 2090580 999676 894819 524288 467196 467196
:/dev/mapper/vms-virtmachines WITHHELD ext4 4096 4096 10386379 3158931 2634707 2621440 2526267 2526267
:/dev/mapper/home-home /home ext4 4096 4096 3918671 2165749 1969141 983040 935192 935192
:
Comment 1 Dave Jones 2012-10-23 11:30:34 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 09:57:48 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.